# Server info / specs

## Hardware

Weeaboo.space runs on the host [Kiss-Shot Acerola-Orion Heart-Under-Blade](https://kiss-shot-acerola-orion-heart-under-blade.quad.moe/) (Henceforth "Shinobu"), which is a VM from [Hetzner](http://hetzner.cloud/) with the model name "CX31" and the following specs:

- 2 CPU cores (Intel Skylake)
- 8GB RAM
- 80GB NVMe SSD
- 20TB Transfer

It is located in Helsinki, Finland. (Hetzner's "hel1-dc2")

## Software

Shinobu runs FreeBSD 11.2 and currently hosts the weeaboo.space pleroma instance exclusively.

Pleroma runs with an unprivileged user (no sudo access) and cannot see processes initiated by other users in applications such as `htop`. Pleroma is configured to be reachable over both IPv4 and IPv6, while pf prevents externals from accessing Pleroma without passing through nginx.

Monitoring of the server is handled by [nixstats](https://nixstats.com/)

## Backups

Backups are run to a server that is located both on a different site and on a different host. Hetzner's backup service is also enabled as a failover.

The database is backed up every hour, while the pleroma folder containing all data and uploads gets backed up once every two hours. Hetzner's full VM backups are performed between 04:00 and 08:00 every night (GMT+2. While Shinobu is in Finland, Hetzner is a German company. Hetzner does not currently seem to differentiate between the two timezones as far as I can tell)

Recovery will likely be performed from one of Hetzner's backups if it is recent enough. Alternatively the pleroma folder and a database dump will be pulled from my off-site backup server.